# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /mnt/aggregate/h5py-feedstock/recipe, last modified Fri Mar 12 23:56:34 2021
# ------------------------------------------------

package:
  name: h5py
  version: 3.1.0
source:
  patches:
    - adjust-minimum-numpy-run-versions.patch
  sha256: 62fdd5153a699e3dd7393d965ee3721a99c4635621bdad4580d34c496d6e3a5b
  url: https://github.com/h5py/h5py/archive/3.1.0.tar.gz
build:
  number: '0'
  string: py37ha894db9_0
requirements:
  build:
    - _openmp_mutex 5.1 1_gnu
    - binutils_impl_linux-aarch64 2.36.1 h21f23c2_2
    - binutils_linux-aarch64 2.36 h1234567_30_bootstrapping
    - gcc_impl_linux-aarch64 10.2.0 h1234567_0_bootstrapping
    - gcc_linux-aarch64 10.2.0 h1234567_30_bootstrapping
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_12
    - ld_impl_linux-aarch64 2.36.1 hfa81395_2
    - libgcc-devel_linux-aarch64 10.2.0 h1234567_0_bootstrapping
    - libgcc-ng 10.2.0 h1234567_0_bootstrapping
    - libgomp 10.2.0 h1234567_0_bootstrapping
    - libstdcxx-ng 10.2.0 h1234567_0_bootstrapping
    - sysroot_linux-aarch64 2.26 h4744778_12
  host:
    - _openmp_mutex 5.1 1_gnu
    - blas 1.0 openblas
    - ca-certificates 2021.1.19 hd43f75c_0
    - certifi 2020.12.5 py37hd43f75c_0
    - cython 0.29.22 py37h7c1a80f_0
    - hdf5 1.12.0 hcdd0750_0
    - ld_impl_linux-aarch64 2.36.1 hfa81395_2
    - libedit 3.1.20191231 hfd63f10_0
    - libffi 3.3 h7c1a80f_2
    - libgcc-ng 10.2.0 h1234567_0_bootstrapping
    - libgfortran-ng 10.2.0 h9534d94_0
    - libgfortran5 10.2.0 h1234567_0_bootstrapping
    - libgomp 10.2.0 h1234567_0_bootstrapping
    - libopenblas 0.3.10 hf4835c0_1
    - libstdcxx-ng 10.2.0 h1234567_0_bootstrapping
    - ncurses 6.2 hfd63f10_0
    - numpy-base 1.16.6 py37h0361ad9_2
    - numpy-devel 1.16.6 py37h0571fa2_2
    - openssl 1.1.1j hfd63f10_0
    - pip 21.0.1 py37hd43f75c_0
    - pkg-config 0.29.2 hfd63f10_0
    - pkgconfig 1.5.2 py37hd43f75c_0
    - python 3.7.10 he65049a_0
    - readline 8.1 hfd63f10_0
    - setuptools 52.0.0 py37hd43f75c_0
    - six 1.14.0 py37hd43f75c_0
    - sqlite 3.32.3 h2e10e0d_0
    - tk 8.6.10 h8ea0f78_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - xz 5.2.4 hfd63f10_4
    - zlib 1.2.11 hfd63f10_3
  run:
    - cached-property
    - hdf5 >=1.12.0,<1.12.1.0a0
    - libgcc-ng >=10.2.0
    - numpy >=1.16.6,<2.0a0
    - python >=3.7,<3.8.0a0
    - six
test:
  imports:
    - h5py
  requires:
    - pytest
about:
  description: 'H5py uses straightforward NumPy and Python metaphors, like dictionary
    and

    NumPy array syntax.

    '
  dev_url: https://github.com/h5py/h5py
  doc_url: http://docs.h5py.org
  home: http://www.h5py.org/
  license: BSD-3-Clause
  license_file: licenses/license.txt
  summary: Read and write HDF5 files from Python.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - jakirkham
    - ocefpaf
    - pitrou
    - tacaswell
